Update a namespace
PUT/accounts/{account_id}/ai-search/namespaces/{name}
Update the description and/or the public endpoint configuration of an existing namespace. The default namespace’s description cannot be modified, but its public endpoint can.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Body ParametersJSON
Update a namespace
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-search/namespaces/$NAME \
-X PUT \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"result": {
"created_at": "2019-12-27T18:11:19.117Z",
"name": "production",
"description": "Production environment",
"public_endpoint_id": "public_endpoint_id",
"public_endpoint_params": {
"authorized_hosts": [
"string"
],
"chat_completions_endpoint": {
"disabled": true
},
"custom_domains": [
"search.example.com"
],
"default_domain_enabled": true,
"enabled": true,
"instances_allowed": [
"docs",
"blog"
],
"mcp": {
"description": "description",
"disabled": true
},
"rate_limit": {
"period_ms": 60000,
"requests": 1,
"technique": "fixed"
},
"search_endpoint": {
"disabled": true
}
}
},
"success": true
}Returns Examples
{
"result": {
"created_at": "2019-12-27T18:11:19.117Z",
"name": "production",
"description": "Production environment",
"public_endpoint_id": "public_endpoint_id",
"public_endpoint_params": {
"authorized_hosts": [
"string"
],
"chat_completions_endpoint": {
"disabled": true
},
"custom_domains": [
"search.example.com"
],
"default_domain_enabled": true,
"enabled": true,
"instances_allowed": [
"docs",
"blog"
],
"mcp": {
"description": "description",
"disabled": true
},
"rate_limit": {
"period_ms": 60000,
"requests": 1,
"technique": "fixed"
},
"search_endpoint": {
"disabled": true
}
}
},
"success": true
}